Page MenuHomePhabricator

Enable the blocking feature of AbuseFilter on trwiki
Closed, ResolvedPublic

Description

Please enable blocking for AbuseFilter on trwiki. The block durations should be indefinite for registered users and 24 hours for anonymous users. Here is a link to the community consensus:

https://tr.wikipedia.org/w/index.php?title=Vikipedi:K%C3%B6y_%C3%A7e%C5%9Fmesi_(teklifler)&oldid=18371147#Otomatik_de.C4.9Fi.C5.9Fiklik_s.C3.BCzgeci_engeli

Thank you.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGrant sysop and interface-editor 'abusefilter-modify-restricted' on trwiki
operations/mediawiki-config : masterFix Abuse Filter configuration for tr.wikipedia
operations/mediawiki-config : masterEnable AbuseFilter blocks on tr.wikipedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2017, 6:51 PM

Change 345983 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Enable AbuseFilter blocks on tr.wikipedia

https://gerrit.wikimedia.org/r/345983

Change 345983 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AbuseFilter blocks on tr.wikipedia

https://gerrit.wikimedia.org/r/345983

Mentioned in SAL (#wikimedia-operations) [2017-04-13T18:35:20Z] <reedy@tin> Synchronized wmf-config/abusefilter.php: Enable AbuseFilter blocks on tr.wikipedia T161960 (duration: 00m 43s)

Dereckson closed this task as Resolved.Apr 13 2017, 7:30 PM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.
Dereckson reopened this task as Open.EditedApr 13 2017, 8:03 PM

@Vito-Genovese reported the feature isn't shown, even after a cache purge. Furthermore, there isn't any User:Abuse filter account (but that's probably expected as long as no action is triggered).

Change 348174 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Fix Abuse Filter configuration for tr.wikipedia

https://gerrit.wikimedia.org/r/348174

Change 348174 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix Abuse Filter configuration for tr.wikipedia

https://gerrit.wikimedia.org/r/348174

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:39:25Z] <niharika29@tin> Synchronized wmf-config/abusefilter.php: Fix Abuse Filter configuration for tr.wikipedia (T161960) (duration: 00m 42s)

Change 348239 had a related patch set uploaded (by Reedy):
[operations/mediawiki-config@master] Grant sysop and interface-editor 'abusefilter-modify-restricted' on trwiki

https://gerrit.wikimedia.org/r/348239

Change 348239 merged by jenkins-bot:
[operations/mediawiki-config@master] Grant sysop and interface-editor 'abusefilter-modify-restricted' on trwiki

https://gerrit.wikimedia.org/r/348239

Mentioned in SAL (#wikimedia-operations) [2017-04-14T20:26:11Z] <reedy@tin> Synchronized wmf-config/abusefilter.php: abusefilter-modify-restricted for trwiki T161960 (duration: 01m 38s)

There is a small issue found by Reedy:

@Dereckson What is the status of this task? Thank you.

Daimona closed this task as Resolved.Feb 14 2019, 6:36 PM
Daimona added a subscriber: Daimona.

I see no problems, block is enabled, usable and working. Of course reopen if I missed something.